Subject: Re: bug#5808: 23.1; substitute-in-file-name $NOSUCH vs ${NOSUCH}

From: Kevin Ryde <[email-masked]>
Date: Sat, 03 Apr 2010 11:02:20 +1100

Stefan Monnier <[email-masked]> writes:
>
> I made the change in Emacs-22 so that most uses of $ in file names can
> work without needing the quoting by double-dollars.

Sounds likely.

> Admittedly,
> the resulting inconsistency is not great, so I guess that the
> discrepancy is a misfeature/bug,

Unless it's thought of as ${FOO} is certainly an expansion, whereas $FOO
is instead maybe an expansion and maybe a literal $, such as on VMS, is
it?

If the docstring described the way it worked that'd be enough.